Cannot suspend a and wake up correctly

Bug #329645 reported by René Kliment on 2009-02-15
66
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

If I try to suspend my system(to RAM), it seems, that it is suspended correctly(according to behavior in "Windows(R) beta 7" after suspend - blinking LEDs, etc). However, when I press any key to wake up my system, It will start trying to wake up, but after a few seconds, my laptop will shutdown and after more few seconds start/wake up/switch on/whatever again, but with black screen and absolutely no control - not responding to key pressing - in my opinion - kernel panic. I have to do "hard" shutdown of my laptop. Same behavior in Arch Linux, kernel 2.6.28, but older versions of kernel, or any other package does the same error :-(

My laptop is MSI EX600X-074CZ. Current Ubuntu: 9.04 some latest alpha.
I hope, Ubuntu automatic reporting system provided as much information as needed, if not, I can send you anything you want :-)

By the way, when pushed the button Report the problem, it opened link in web browser "file:///ubuntu/+source/linux/+filebug/xQfNWvFcA4EUB34An4w9bxyLsWr", there is missing http://launchpad.net . It will be better to add it there :-)

Thank you very much, if you will be occupied with my bug, it could really help me, thanks.

ProblemType: KernelOops
Architecture: amd64
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/share/apport/apportcheckresume
FlagFile: suspend
InterpreterPath: /usr/bin/python2.5
NonfreeKernelModules: nvidia
OopsText: Suspend/Resume or hibernate problem

Originator: Steve Conklin <email address hidden>
Package: linux-image-2.6.28-7-generic 2.6.28-7.20
ProcAttrCurrent: unconfined
ProcCmdLine: User Name=UUID=386150e0-a37d-482c-a790-21fb2ff41816 ro quiet splash
ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
ProcEnviron: PATH=(custom, no user)
ProcVersionSignature: Ubuntu 2.6.28-7.20-generic
SourcePackage: linux
StressLog: Error: [Errno 2] No such file or directory: '/var/lib/pm-utils/stress.log'
Tags: suspend resume hibernate
Title: Suspend/Resume or hibernate problem
UserGroups:

René Kliment (renekliment) wrote :
Andy Whitcroft (apw) wrote :

Could you please let us know the type of machine this is (make and model). Is this reproducible say over 10 cycles. Has suspend ever worked in the past, if so which kernel release (cat /proc/version_signature)? Please include any information as to the circumstances leading up to this failure, for example did your battery run out? Did the machine lock up, did any messages come out? If it is reproducible could you try the suspend from VT1, press ctrl-alt-F1, login, and run pm-suspend there. If you could test and report back here that would be helpful.

Changed in linux:
status: New → Incomplete
René Kliment (renekliment) wrote :

Hi. Sorry for the time of response :-) Well, I tried to suspend it several times just on battery, just on AC and with both plugged in, but it still fails. However, I noticed, that when it is just on battery and I press a key to wake it up, it will shutdown, but do not switch on like on AC or AC + battery. I also tried some older distros, but without success. Well, I have already written my maschine make and model, it is MSI EX600X-74CZ. I tried suspending from VT, but it as same as from X. I also tried to manually remove the nvidia driver(modprobe -r nvidia) just to be sure. Everything I tried failed :-( And errors? Nothing, no messages, just blank(black) screen. I also attached some pm-utils logs. I do not believe, that it will be helpful, but just to be sure to provide everything, I can. Thanks for everything, that could fix my suspend.

René Kliment (renekliment) wrote :
René Kliment (renekliment) wrote :

And another thing, I remembered, could help. ACPI (I mean battery status and some tempeature sensors). After system start, it works fine, but after a while (say 10 minutes?), it just stop working, sensors are showing 146 degrees of C, battery = 0% - not present, etc. I tried to suspend just after system booted up, to be sure, that ACPI is working so far, but still fails. And no, unfortunately, I can not see any messages, when ACPI stops working :-(

Changed in linux:
status: Incomplete → New
Andy Whitcroft (apw) wrote :

Could you please follow the triage and debugging guide (https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume) and report back here. You have done most of the early stuff, see the section titled 'Enabling Suspend Debugging', please report any information from that back here.

Changed in linux:
status: New → Incomplete
René Kliment (renekliment) wrote :

This should be, what you want, tried "sync; echo 1 > /sys/power/pm_trace; pm-suspend", but I do not think, that dmesg prints anything except "[ 2.507938] Magic number: 1:754:597".

Changed in linux:
status: Incomplete → New
René Kliment (renekliment) wrote :

Huh, I have just found this, but I think, that it has been logged before I used the commands above.

Mar 23 20:18:12 ubuntu-laptop kernel: [ 2.506952] Magic number: 1:445:294
Mar 23 20:18:12 ubuntu-laptop kernel: [ 2.506977] misc hpet: hash matches
Mar 23 20:18:12 ubuntu-laptop kernel: [ 2.506985] tty tty27: hash matches
Mar 23 20:18:12 ubuntu-laptop kernel: [ 2.507068] rtc_cmos 00:03: setting system clock to 2009-03-23 19:17:36 UTC (1237835856)
Mar 23 20:18:12 ubuntu-laptop kernel: [ 2.507071] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
Mar 23 20:18:12 ubuntu-laptop kernel: [ 2.507073] EDD information not available.

Manoj Iyer (manjo) on 2009-03-26
Changed in linux:
status: New → Incomplete
René Kliment (renekliment) wrote :

Guys, I do not really know, what else provide ... :-(

René Kliment (renekliment) wrote :

Anything I could do?

Changed in linux (Ubuntu):
status: Incomplete → New

hi, thanks for your answer!
I don't know how to solve this problem. I can't handle the command
line. I've searched the web for solutions, but it seems that with my
type of notebook (hp nc4010) everyone got the same problem. No
hibernate, neither standby. At the end when I need battery hours I
still have to use windows xp.

cheers,
max

On Tue, Jun 2, 2009 at 10:14 PM, René Kliment <email address hidden> wrote:
> Anything I could do?
>
> ** Changed in: linux (Ubuntu)
>       Status: Incomplete => New
>
> --
> Cannot suspend a and wake up correctly
> https://bugs.launchpad.net/bugs/329645
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: New
>
> Bug description:
> If I try to suspend my system(to RAM), it seems, that it is suspended correctly(according to behavior in "Windows(R) beta 7" after suspend - blinking LEDs, etc). However, when I press any key to wake up my system, It will start trying to wake up, but after a few seconds, my laptop will shutdown and after more few second start/wake up/switch on/whatever again, but with black screen and absolutely no control - not responding to key pressing - in my opinion - kernel panic. I have to do "hard" shutdown of my laptop. Same behavior in Arch Linux, kernel 2.6.28, but older versions of kernel, or any other package does the same error :-(
>
> My laptop is MSI EX600X-074CZ. Current Ubuntu: 9.04 some latest alpha.
> I hope, Ubuntu automatic reporting system provided so much informations as needed, if not, I can send you anything you want :-)
>
> By the way, when pushed the button Report the problem, it opened link in web browser "file:///ubuntu/+source/linux/+filebug/xQfNWvFcA4EUB34An4w9bxyLsWr", there is missing http://launchpad.net . It will be better to add it there :-)
>
> Thank you very much, if you will be occupied with my bug, it could really help me, thanks.
>
> ProblemType: KernelOops
> Architecture: amd64
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/apport/apportcheckresume
> FlagFile: suspend
> InterpreterPath: /usr/bin/python2.5
> NonfreeKernelModules: nvidia
> OopsText: Suspend/Resume or hibernate problem
>
> Originator: Steve Conklin <email address hidden>
> Package: linux-image-2.6.28-7-generic 2.6.28-7.20
> ProcAttrCurrent: unconfined
> ProcCmdLine: User Name=UUID=386150e0-a37d-482c-a790-21fb2ff41816 ro quiet splash
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.28-7.20-generic
> SourcePackage: linux
> StressLog: Error: [Errno 2] No such file or directory: '/var/lib/pm-utils/stress.log'
> Tags: suspend resume hibernate
> Title: Suspend/Resume or hibernate problem
> UserGroups:
>

René Kliment (renekliment) wrote :

Any ideas, any fixes, something new?

Max (max-apel) wrote :

No! Still not working! Thanks for your support!

21. Aug 2009 12:00 nachm. schrieb am "René Kliment" <email address hidden>:

Any ideas, any fixes, something new?

--

Cannot suspend a and wake up correctly
https://bugs.launchpad.net/bugs/329645 You received this bug ...
Status in “linux” package in Ubuntu: New

Bug description: If I try to suspend my system(to RAM), it seems, that it is
suspended correctly(ac...

Jeremy Foshee (jeremyfoshee) wrote :

Rene,
     Can you confirm this issue exists with the most recent Karmic Koala 9.10 Alpha release? ISO CD images are available at http://cdimage.ubuntu.com/releases/karmic/ . If the issue remains with Karmic it would be great to then also test the latest upstream mainline kernel available. This will allow additional upstream developers to examine this issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .

Thanks in advance.

-JFo

Changed in linux (Ubuntu):
status: New → Incomplete
Max (max-apel) wrote :

Hi,

I updated to Karmic Koala 9.10, the reccent Beta release, after the upgrade,
i still got the same problems!!

hope you are still on it, thanks in advance!!
max

On Sat, Oct 3, 2009 at 9:10 PM, Jeremy Foshee <email address hidden>wrote:

> Rene,
> Can you confirm this issue exists with the most recent Karmic Koala
> 9.10 Alpha release? ISO CD images are available at
> http://cdimage.ubuntu.com/releases/karmic/ . If the issue remains with
> Karmic it would be great to then also test the latest upstream mainline
> kernel available. This will allow additional upstream developers to examine
> this issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .
>
> Thanks in advance.
>
> -JFo
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> --
> Cannot suspend a and wake up correctly
> https://bugs.launchpad.net/bugs/329645
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> If I try to suspend my system(to RAM), it seems, that it is suspended
> correctly(according to behavior in "Windows(R) beta 7" after suspend -
> blinking LEDs, etc). However, when I press any key to wake up my system, It
> will start trying to wake up, but after a few seconds, my laptop will
> shutdown and after more few second start/wake up/switch on/whatever again,
> but with black screen and absolutely no control - not responding to key
> pressing - in my opinion - kernel panic. I have to do "hard" shutdown of my
> laptop. Same behavior in Arch Linux, kernel 2.6.28, but older versions of
> kernel, or any other package does the same error :-(
>
> My laptop is MSI EX600X-074CZ. Current Ubuntu: 9.04 some latest alpha.
> I hope, Ubuntu automatic reporting system provided so much informations as
> needed, if not, I can send you anything you want :-)
>
> By the way, when pushed the button Report the problem, it opened link in
> web browser
> "file:///ubuntu/+source/linux/+filebug/xQfNWvFcA4EUB34An4w9bxyLsWr", there
> is missing http://launchpad.net . It will be better to add it there :-)
>
> Thank you very much, if you will be occupied with my bug, it could really
> help me, thanks.
>
> ProblemType: KernelOops
> Architecture: amd64
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/apport/apportcheckresume
> FlagFile: suspend
> InterpreterPath: /usr/bin/python2.5
> NonfreeKernelModules: nvidia
> OopsText: Suspend/Resume or hibernate problem
>
> Originator: Steve Conklin <email address hidden>
> Package: linux-image-2.6.28-7-generic 2.6.28-7.20
> ProcAttrCurrent: unconfined
> ProcCmdLine: User Name=UUID=386150e0-a37d-482c-a790-21fb2ff41816 ro quiet
> splash
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.28-7.20-generic
> SourcePackage: linux
> StressLog: Error: [Errno 2] No such file or directory:
> '/var/lib/pm-utils/stress.log'
> Tags: suspend resume hibernate
> Title: Suspend/Resume or hibernate problem
> UserGroups:
>

René Kliment (renekliment) wrote :

I am confirming, there is exactly same situation with this bug. Suspend still does not work and behavior is same too.

Changed in linux (Ubuntu):
status: Incomplete → New
yetifrisstlama (michibetz) wrote :

Hy Ubuntu community,

i get the same suspend trouble and exactly the same wake up behavior too.

1.) Suspend to ram works fine.
2.) I push the power button, to wake up the machine, it starts up but only shows a black screen.
3.) After 2 or 3 seconds it switches off again.
4.) When I push the power button again, it stays permanently on and shows a black screen. Now the system doesn't respond to anything. Pushing Caps lock, the power button or any other key has no effect at all. The system has to be hard reset by pushing the power button for a long time.

There are some similar ACPI problems after system start: After some time the battery state wouldn't show up.

In dmesg there show up some ACPI related warnings:
ACPI Warning: Incorrect checksum in table [OEMB] - 44, should be 6F 20090521 tbutils-246

I have been trying to fix this problem for over a year now and still had not a single tiny bit of success. I only have the vague clue that it's related to the embedded controller of the laptop.

My system is a MSI Megabook - PR300

I really would love to see get this problem fixed, it's the only bug which keeps me from using Ubuntu on my laptop efficiently.

Kind Regards
Michael Betz

yetifrisstlama (michibetz) wrote :

I just tried the latest upstream mainline kernel available:

2.6.32-999-generic #200911061000 SMP Fri Nov 6 10:54:50 UTC 2009 i686 GNU/Linux

the problem still appears, just like in the official Ubuntu 9.10 - Karmic Koala release.

I also tried to follow the steps, described in https://wiki.ubuntu.com/DebuggingKernelSuspend
and after rebooting the system I get:

[ 0.913686] Magic number: 1:625:179
[ 0.913714] acpi device:0f: hash matches
[ 0.913761] rtc_cmos 00:03: setting system clock to 2009-11-08 13:11:46 UTC (1257685906)

Jeremy Foshee (jeremyfoshee) wrote :

Max / yetifrisstlama

Can you confirm that you are using the exact hardware that Rene is using? I'd like to rule out the possibility that you are having an issue caused by something else than the one reported here.

René,
    Was that confirmation with the current Lucid alpha and the current mainline 'vanilla' kernel?

Thanks!

-JFo

Changed in linux (Ubuntu):
status: New → Incomplete
importance: Undecided → Low
Max (max-apel) wrote :

Hello Jeremy

I'm not using an MSI!! My notebook is a hp nc4010!!

-MAp

Am 16.02.2010 09:51, schrieb Jeremy Foshee:
> Max / yetifrisstlama
>
> Can you confirm that you are using the exact hardware that Rene is
> using? I'd like to rule out the possibility that you are having an issue
> caused by something else than the one reported here.
>
> René,
> Was that confirmation with the current Lucid alpha and the current mainline 'vanilla' kernel?
>
> Thanks!
>
> -JFo
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Low
>

Alienation (miguel-andrade) wrote :

I'm with a MSI and I always had this problem.

Hibernate works fine, s2ram as described. Just tested it again, and still there.

$ uname -a
Linux aliengo 2.6.31-20-generic-pae #57-Ubuntu SMP Mon Feb 8 10:23:59 UTC 2010 i686 GNU/Linux

yetifrisstlama (michibetz) wrote :

Hy Jeremy,

The thread starter (Rene) encounters this problem on a "MSI EX600X-074CZ"
I have a "MSI - PR300" notebook.

Although the hardware is different the behaviour of the bug is in every tiny detail _exactly_ the same.

Best regards,
Yetifrisstlama

René Kliment (renekliment) wrote :

Problem still there guys - tested on Lucid Lynx Alpha 3. :-(

Changed in linux (Ubuntu):
status: Incomplete → New
status: New → Confirmed
anyoneelse (omerfinel) wrote :

I have a msi vr201, and unfortunately i have the same problem.(suspend but not wake up properly)
 after it suspend when I turn it on it behaves like it turns on but with a black screen and no respond to any other key. when i try to shut it down, it shuts down like regular way. However on second start it open with no action to any key including power key. (what I mean is that it even does not shut down and I shut it down by pressing power key for a while.) this is the case for my msiVr201 for all ubuntu distr.

Aspora.Isernia (asporaa) wrote :

Hi guys: the same here. My machine is a MSI S300. I've just installed the newest Lucid Lynx hoping that the problem was solved, but... bad news!! :-(
Hints are welcome.

tms (thee233) wrote :

the same with my msi ex600x s2r never worked, on neither ubuntu nor debian nor fedora with all possible kernels except 2.6.34 (not tested yet).

tms (thee233) wrote :

no success with 2.6.34 as well :/

René Kliment (renekliment) wrote :

Still broken in Ubuntu 10.10 (Maverick) ... Seems, that the ultimate answer 42 is not the answer for me :-(

description: updated
tms (thee233) wrote :

suspend to ram not working with 2.6.35, 2.6.36 and 2.6.37

here's another linux user with the same problem, affecting opensuse, on the same machine:

http://web.archiveorange.com/archive/v/wmeLD6rzoMXoproEJ83G

it has been three years of constant hope with testing new kernels, that would provide such basic functionality as suspending to ram. its getting really frustrating. any further suggestions on where to submit bug reports? any acpi/kernel developers forum, or so? worst thing is that s2ram works like a charm on windows :(

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Alienation (miguel-andrade) wrote :

This is a very effective way to solve bugs! There is nothing I can see about any "series" information here. It's ubuntu and linux.

Since it was not solved, how about automatically reopen in the latest series?

Bug is still present in 11.04
Linux 2.6.38-11-generic-pae #48-Ubuntu SMP Fri Jul 29 20:51:21 UTC 2011 i686 i686 i386 GNU/Linux

tms (thee233) wrote :

Problem seems to be finally resolved:

https://bugzilla.kernel.org/show_bug.cgi?id=12878

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.